Index: apps/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/Makefile,v
retrieving revision 1.60
diff -u -r1.60 Makefile
--- apps/Makefile	4 May 2004 16:09:35 -0000	1.60
+++ apps/Makefile	13 May 2004 19:27:05 -0000
@@ -30,7 +30,9 @@
      app_groupcount.so
 
 ifneq (${OSARCH},Darwin)
+ifneq (${OSARCH},FreeBSD)
 APPS+=app_intercom.so
+endif
 endif
 
 #APPS+=app_sql_postgres.so
Index: apps/app_sms.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_sms.c,v
retrieving revision 1.1
diff -u -r1.1 app_sms.c
--- apps/app_sms.c	28 Apr 2004 20:43:06 -0000	1.1
+++ apps/app_sms.c	13 May 2004 19:27:06 -0000
@@ -204,7 +204,11 @@
 packdate (unsigned char *o, time_t w)
 {
   struct tm *t = localtime (&w);
+#ifdef __FreeBSD__
+  int z = - t->tm_gmtoff / 3600 / 15;
+#else
   int z = timezone / 3600 / 15;
+#endif
   *o++ = ((t->tm_year % 10) << 4) + (t->tm_year % 100) / 10;
   *o++ = (((t->tm_mon + 1) % 10) << 4) + (t->tm_mon + 1) / 10;
   *o++ = ((t->tm_mday % 10) << 4) + t->tm_mday / 10;
Index: channels/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/Makefile,v
retrieving revision 1.48
diff -u -r1.48 Makefile
--- channels/Makefile	3 May 2004 19:29:52 -0000	1.48
+++ channels/Makefile	13 May 2004 19:27:06 -0000
@@ -47,7 +47,9 @@
 endif
 
 ifneq (${OSARCH},Darwin)
+ifneq (${OSARCH},FreeBSD)
 CHANNEL_LIBS+=chan_oss.so
+endif
 endif
 
 CHANNEL_LIBS+=$(shell [ -f /usr/include/linux/ixjuser.h ] && echo chan_phone.so)
Index: include/asterisk/lock.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/lock.h,v
retrieving revision 1.17
diff -u -r1.17 lock.h
--- include/asterisk/lock.h	9 May 2004 08:22:15 -0000	1.17
+++ include/asterisk/lock.h	13 May 2004 19:27:07 -0000
@@ -34,8 +34,20 @@
 /* From now on, Asterisk REQUIRES Recursive (not error checking) mutexes
    and will not run without them. */
 
+#ifdef PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP
 #define AST_MUTEX_INITIALIZER      { PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP, NULL, 0, NULL, 0 }
+#else
+#define AST_MUTEX_INITIALIZER      { PTHREAD_MUTEX_INITIALIZER, NULL, 0, NULL, 0 }
+#endif
+
+#ifdef PTHREAD_MUTEX_RECURSIVE_NP
 #define AST_MUTEX_KIND             PTHREAD_MUTEX_RECURSIVE_NP
+#else
+#define AST_MUTEX_KIND             PTHREAD_MUTEX_RECURSIVE
+#endif
+
+
+
 
 struct ast_mutex_info {
 	pthread_mutex_t mutex;
@@ -158,8 +170,17 @@
 
 /* From now on, Asterisk REQUIRES Recursive (not error checking) mutexes
    and will not run without them. */
+#ifdef PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP
 #define AST_MUTEX_INITIALIZER      PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP
+#else
+#define AST_MUTEX_INITIALIZER      PTHREAD_MUTEX_INITIALIZER
+#endif
+
+#ifdef PTHREAD_MUTEX_RECURSIVE_NP
 #define AST_MUTEX_KIND             PTHREAD_MUTEX_RECURSIVE_NP
+#else
+#define AST_MUTEX_KIND             PTHREAD_MUTEX_RECURSIVE
+#endif
 
 typedef pthread_mutex_t ast_mutex_t;
 
